/*
*  Name:      variable_string.cc
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   String for PBCG
*  Date:      $Date: 2003-11-27 12:04:28 +0100 (jue, 27 nov 2003) $
*  Revision:  $Revision: 8535 $
*
*  Copyright (C) 1994-2002  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

#include <mpcl/text/codegen/variable_string.hh>


//
//  C O N S T R U C T O R S
//

void mpcl::text::codegen::TVariableString::
setType (TVariableString::EType eSOURCE_TYPE)
{

  eType = eSOURCE_TYPE;

}  // setType()


mpcl::text::codegen::TVariableString& mpcl::text::codegen::TVariableString::
operator = (const TVariableString& rkySOURCE_VARIABLE)
{

  TString::operator = (rkySOURCE_VARIABLE);
  eType = rkySOURCE_VARIABLE.eType;
  return *this;
  
}  // operator =()


mpcl::text::codegen::TVariableString& mpcl::text::codegen::TVariableString::
operator = (const TString& rkySOURCE)
{

  TString::operator = (rkySOURCE);
  return *this;
  
}  // operator =()


//
//  S E L E C T O R S
//

mpcl::text::codegen::TVariableString::EType mpcl::text::codegen::TVariableString::
type (void) const
{

  return eType;

}  // type()
