/*
*  Name:      IEditor.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Editor interface
*  Date:      $Date: 2004-11-13 03:35:29 +0100 (sáb, 13 nov 2004) $
*  Revision:  $Revision: 10440 $
*
*  Copyright (C) 2004  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for NUI (Native User Interface).
package org.mpcl.nui;


///  Editor interface.
public interface IEditor extends IBrowser
{
  //
  //  S E L E C T O R S
  //

  ///  Updates model from source view elements.
  public void save();
}
